For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet all workflow actions
      • POSTCreate a workflow action
      • GETGet workflow action by ID
      • DELDelete a workflow action by ID
      • PATCHUpdate a workflow action by ID
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIWorkflow Actions

Create a workflow action

POST
/v:version/workflow-actions
POST
/v:version/workflow-actions
$curl -X POST https://test.api.solvimon.com/v1/workflow-actions \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "workflow_id": "string",
> "type": "SEND_EMAIL_TO_CUSTOMER",
> "status": "ACTIVE"
>}'
1{
2 "object_type": "string",
3 "id": "string",
4 "workflow_id": "string",
5 "type": "SEND_EMAIL_TO_CUSTOMER",
6 "description": "string",
7 "status": "ACTIVE",
8 "created_at": "string",
9 "updated_at": "string",
10 "send_email_to_customer": {
11 "integration_id": "string",
12 "subject": "string",
13 "from": {
14 "name": "string",
15 "email": "string"
16 },
17 "reply_to": {
18 "name": "string",
19 "email": "string"
20 },
21 "cc_recipients": [
22 "string"
23 ],
24 "bcc_recipients": [
25 "string"
26 ],
27 "template_name": "string",
28 "variant": "INVOICE",
29 "invoice": {
30 "include_pdf": true,
31 "include_payment_link": true,
32 "include_customer_contacts_as_cc": true
33 },
34 "payment": {
35 "include_customer_contacts_as_cc": true
36 },
37 "pricing_plan_subscription": {
38 "include_customer_contacts_as_cc": true
39 }
40 }
41}

Creates a workflow action linked to an existing workflow. The action payload must match the selected action type. Requires the WORKFLOW_ACTION.CREATE permission.

Was this page helpful?
Previous

Get workflow action by ID

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
workflow_idstringRequired
Workflow that owns this action.
typeenumRequired
Action type that selects the matching action configuration.
Allowed values:
statusenumRequired
Status of the action.
Allowed values:
descriptionstring or nullOptionalformat: "^.*$"0-256 characters
Description of what this action does.
send_email_to_customerobjectOptional
Email action configuration used to send an email to the customer.

Response

Created
object_typestring or nullRead-only
idstring or nullRead-only
workflow_idstring
Workflow that owns this action.
typeenum
Action type that selects the matching action configuration.
Allowed values:
descriptionstring or nullformat: "^.*$"0-256 characters
Description of what this action does.
statusenum
Status of the action.
Allowed values:
created_atstring or nullRead-only
Date time when the action was created.
updated_atstring or nullRead-only
Date time when the action was last updated.
send_email_to_customerobject
Email action configuration used to send an email to the customer.

Errors

401
Unauthorized Error
403
Forbidden Error